********************************************************************************
* Figure 12: Intergenerational mobility and literacy of the preceding generation
********************************************************************************
use "${path}\Output\dta\LAC_clean_lit_par",clear
destring cohort, replace
drop if lit_par==. & country_beta_up==. & country_beta_down==.

reg country_beta_up lit_par
local beta= _b[_cons]
mat table = r(table)
local beta0 = round(table[1,2], .001)
local se0 = round(table[2,2], .0001)
local beta1 = round(table[1,1], .0001)
local se1 = round(table[2,1], .0001)
set scheme s1color
local beta1=.7996
twoway (scatter country_beta_up lit_par if cohort==1940, mlabel(country) mlabsize(*0.5) msize(*0.3) ytitle("Upward IGM") xtitle("Share literate old")) ///
(scatter country_beta_up lit_par if cohort==1950, mlabel(country) mlabsize(*0.5) msize(*0.3) ytitle("Upward IGM") xtitle("Share literate old")) ///
(scatter country_beta_up lit_par if cohort==1960, mlabel(country) mlabsize(*0.5) msize(*0.3) ytitle("Upward IGM") xtitle("Share literate old")) ///
(scatter country_beta_up lit_par if cohort==1970, mlabel(country) mlabsize(*0.5) msize(*0.3) ytitle("Upward IGM") xtitle("Share literate old")) ///
(scatter country_beta_up lit_par if cohort==1980, mlabel(country) mlabsize(*0.5) msize(*0.3) ytitle("Upward IGM") xtitle("Share literate old")) ///
(scatter country_beta_up lit_par if cohort==1990, mlabel(country) mlabsize(*0.5) msize(*0.3) ytitle("Upward IGM") xtitle("Share literate old")) ///
(lfit country_beta_up lit_par) , legend(order(1 2 3 4 5 6) label(1 1940) label(2 1950) label(3 1960) label(4 1970) label(5 1980) label(6 1990) rows(1)) ///
text( .1 .41 "IGM UP = `beta0'    +   `beta1'  lit_par" ///
"               (`se0')     (`se1')",  box just(left) margin(l+1 t+1 b+1) place(se) width(47) size(3)) xsize(6) ysize(6)
graph export "${path}\Output\figures\Figure_12a.pdf",replace

reg country_beta_down lit_par
local beta= _b[_cons]
mat table = r(table)
local beta0 = round(table[1,2], .001)
local se0 = round(table[2,2], .0001)
local beta1 = round(table[1,1], .0001)
local se1 = round(table[2,1], .0001)
set scheme s1color
twoway (scatter country_beta_down lit_par if cohort==1940, mlabel(country) mlabsize(*0.5) msize(*0.3) ytitle("Downward IGM") xtitle("Share literate old")) ///
(scatter country_beta_down lit_par if cohort==1950, mlabel(country) mlabsize(*0.5) msize(*0.3) ytitle("Downward IGM") xtitle("Share literate old")) ///
(scatter country_beta_down lit_par if cohort==1960, mlabel(country) mlabsize(*0.5) msize(*0.3) ytitle("Downward IGM") xtitle("Share literate old")) ///
(scatter country_beta_down lit_par if cohort==1970, mlabel(country) mlabsize(*0.5) msize(*0.3) ytitle("Downward IGM") xtitle("Share literate old")) ///
(scatter country_beta_down lit_par if cohort==1980, mlabel(country) mlabsize(*0.5) msize(*0.3) ytitle("Downward IGM") xtitle("Share literate old")) ///
(scatter country_beta_down lit_par if cohort==1990, mlabel(country) mlabsize(*0.5) msize(*0.3) ytitle("Downward IGM") xtitle("Share literate old")) ///
(lfit country_beta_down lit_par) , legend(order(1 2 3 4 5 6) label(1 1940) label(2 1950) label(3 1960) label(4 1970) label(5 1980) label(6 1990) rows(1)) ///
text( .43 .42 "IGM Down = `beta0'      `beta1'  lit_par" ///
"                   (`se0')    (`se1')",  box just(left) margin(l+1 t+1 b+1) place(se) width(46) size(3)) xsize(6) ysize(6)
graph export "${path}\Output\figures\Figure_12b.pdf",replace
