********************************************************************************
* Figure 13: IGM and correlates
********************************************************************************
use "${path}\Output\dta\LAC_clean_districts_geolev2_corr",clear
foreach var in urban_share agr_share ind_share ser_share lndist_cap lndist_coast lndist_bor {
	reghdfe upward `var', absorb(country) vce(cluster country) noconstant
	stdBeta, store(Original Original2 `var', replace)
}

foreach var in urban_share agr_share ind_share ser_share lndist_cap lndist_coast lndist_bor {
	quietly reghdfe upward lit_par `var', absorb(country) vce(cluster country) noconstant
	stdBeta, store(Original Original2 `var'1, replace)
}

set scheme s1color
coefplot (urban_share agr_share ind_share ser_share lndist_cap lndist_coast lndist_bor, label(unconditional)) ///
(urban_share1 agr_share1 ind_share1 ser_share1 lndist_cap1 lndist_coast1 lndist_bor1, label(conditional on literacy share of old population)) ///
,drop(lit_par) xline(0, lcolor(black) lwidth(thin) lpattern(dash)) xscale(range(-.6 .6))  xlabel(-.6 "-0.6" -.4 "-0.4" -.2 "-0.2" 0 "0" .2 "0.2" .4 "0.4" .6 "0.6", grid) ///
coeflabels(urban_share = "urban share (born < 1960)" agr_share = "agr. empl. share (born < 1960)" ind_share = "ind. empl. share (born < 1960)" ser_share = "ser. empl. share (born < 1960)" lndist_cap="ln(distance to capital)" lndist_coast="ln(distance to coast)" lndist_bor="ln(distance to border)") ///
legend(position(6) row(2)) aspect(.85)  msymbol(D)
graph export "${path}\Output\figures\Figure_13a.pdf",replace


use "${path}\Output\dta\LAC_clean_districts_geolev2_corr",clear
foreach var in urban_share agr_share ind_share ser_share lndist_cap lndist_coast lndist_bor{
	reghdfe downward `var', absorb(country) vce(cluster country) noconstant
	stdBeta, store(Original Original2 `var', replace)
}

foreach var in urban_share agr_share ind_share ser_share lndist_cap lndist_coast lndist_bor {
	quietly reghdfe downward lit_par `var', absorb(country) vce(cluster country) noconstant
	stdBeta, store(Original Original2 `var'1, replace)
}

set scheme s1color
coefplot (urban_share agr_share ind_share ser_share lndist_cap lndist_coast lndist_bor, label(unconditional)) ///
(urban_share1 agr_share1 ind_share1 ser_share1 lndist_cap1 lndist_coast1 lndist_bor1, label(conditional on literacy share of old population)) ///
,drop(lit_par) xline(0, lcolor(black) lwidth(thin) lpattern(dash)) xscale(range(-.6 .6))  xlabel(-.6 "-0.6" -.4 "-0.4" -.2 "-0.2" 0 "0" .2 "0.2" .4 "0.4" .6 "0.6", grid) ///
coeflabels(urban_share = "urban share (born < 1960)" agr_share = "agr. empl. share (born < 1960)" ind_share = "ind. empl. share (born < 1960)" ser_share = "ser. empl. share (born < 1960)" lndist_cap="ln(distance to capital)" lndist_coast="ln(distance to coast)" lndist_bor="ln(distance to border)") ///
legend(position(6) row(2)) aspect(.85)  msymbol(D)
graph export "${path}\Output\figures\Figure_13b.pdf",replace
