********************************************************************************
* Figure 1: coresidence rate by age
********************************************************************************
use country year coresident age sex urban sample using "Output\dta\LAC_clean" if country!=630 & inrange(age,14,25),clear

g coresident100 = 100*coresident
graph bar coresident100, over(age) blabel(total,format(%2.1f)) ytitle("") ///
 subtitle("Coresidence rate by age", position(11)) title("",size(medium))
graph export "Output\figures\Figure_1.pdf", replace

********************************************************************************
* Figure 2: coresidence rate by age and country
********************************************************************************
gcollapse (mean) coresident100, by(age country)
g sorting = coresident100 if age==25
graph hbar coresident100, over(age, label(nolabel)) over(country, sort((mean) sorting)) ytitle("Coresidence rate by age from 14 to 25, younger to older") scale(*1.01) 
graph export "Output\figures\Figure_2.pdf", replace
