********************************************************************************
* Figure 3: educational attainment
********************************************************************************
use country year edattain yrschool age perwt using "Output\dta\LAC_clean",clear
drop if country==630 // drop Puerto Rico

keep if inrange(age,25,100)
g cohort = 10*floor((year-age)/10)

g edu1 = (edattain==1) if inrange(edattain,1,4)
g edu2 = (edattain==2) if inrange(edattain,1,4)
g edu3 = (edattain==3) if inrange(edattain,1,4)
g edu4 = (edattain==4) if inrange(edattain,1,4)

sdecode country , gen(clabel)
replace clabel = subinstr(clabel," ","_",.)

g perwt100=100*perwt*100

********************************************************************************
** Histogram of educational attainment
********************************************************************************
hist edattain if inrange(edattain,1,4) & inrange(cohort,1900,1980) [w=perwt100], discrete scale(*1.1) xtitle(Educational attainment)
graph export "Output\figures\Figure_3a.pdf", replace 

********************************************************************************
** CDF plots of years of schooling
********************************************************************************
cdfplot yrschool if inrange(cohort,1900,1980) [w=perwt],by(cohort) legend(order(1 "1900" 2 "1910" 3 "1920" 4 "1930" 5 "1940" 6 "1950" 7 "1960" 8 "1970" 9 "1980") rows(2)) xtitle(Years of schooling) ytitle(CDF) ylabel(0(.25)1,grid) xlabel(0(1)18, grid)
graph export "Output\figures\Figure_3b.png", replace 