********************************************************************************
* Figure 4: Mosaic chart for LA 
********************************************************************************
use sample perwt country age edattain edattain_old coresident if coresident==1 & age>=25 using "${path}\Output\dta\LAC_clean", clear
label define edattain 1 "Less than primary" 2 "Primary completed" 3 "Secondary completed" 4 "University completed"
label define edattain_old 1 "Less than primary" 2 "Primary completed" 3 "Secondary completed" 4 "University completed"
lab val edattain_old edattain_old
label var edattain "child attainment"
label var edattain_old "parental attainment"

set scheme s1color
spineplot edattain edattain_old [aw=perwt], graphregion(color(white)) bgcolor(white) xlabel(, angle(30) labsize(*0.7) axis(2)) ylabel(0(0.2)1, axis(2)) ///
xtitle("", axis(2)) xtitle(fraction by parental attainment, axis(1)) ///
ytitle("likelihood of child attainment", axis(2)) ytitle("", axis(1)) ///
legend(order(4 3 2 1) label(4 "Less than primary") label(3 "Primary completed") ///
label(2 "Secondary completed") label(1 "University completed") col(1) pos(3) symy(2) symx(2)) aspect(1) 
graph export "${path}\Output\figures\Figure_4.pdf",replace

********************************************************************************
* Figure 5: mosaic by country
********************************************************************************
spineplot edattain edattain_old if country==388 [aw=perwt], graphregion(color(white)) bgcolor(white) xlabel(, angle(30) labsize(*0.7) axis(2)) ylabel(0(0.2)1, axis(2)) ///
	xtitle("", axis(2)) xtitle(fraction by parental attainment, axis(1)) ///
	ytitle("likelihood of child attainment", axis(2)) ytitle("", axis(1)) ///
	legend(order(4 3 2 1) label(4 "Less than primary") label(3 "Primary completed") ///
	label(2 "Secondary completed") label(1 "University completed") col(1) pos(3) symy(2) symx(2)) aspect(1) 
	graph export "${path}\Output\figures\Figure_5a.pdf",replace

spineplot edattain edattain_old if country==320 [aw=perwt], graphregion(color(white)) bgcolor(white) xlabel(, angle(30) labsize(*0.7) axis(2)) ylabel(0(0.2)1, axis(2)) ///
	xtitle("", axis(2)) xtitle(fraction by parental attainment, axis(1)) ///
	ytitle("likelihood of child attainment", axis(2)) ytitle("", axis(1)) ///
	legend(order(4 3 2 1) label(4 "Less than primary") label(3 "Primary completed") ///
	label(2 "Secondary completed") label(1 "University completed") col(1) pos(3) symy(2) symx(2)) aspect(1) 
	graph export "${path}\Output\figures\Figure_5b.pdf",replace