********************************************************************************
* Figure 9: Intergenerational educational mobility in LAC across cohorts
********************************************************************************
use "${path}\Output\dta\LAC_clean_cohort_primary",clear
destring cohort, replace
drop if missing(im_up_cohort_primary) | missing(im_down_cohort_primary)
egen maxcohort=max(cohort), by(country)
egen aux=max(im_up_cohort_primary) if cohort==maxcohort, by (country)
egen aux2=max(aux), by(country)
gsort -aux2

set scheme s1color
graph dot im_up_cohort_primary, over(cohort) asyvars over(country, label(labsize(3)) sort(aux2) des) legend(order(1 2 3 4 5 6 7) row(1) span size(small)) ytitle(IGM UP) ylabel(, grid) aspect(1) ///
marker(1, ms(O) mfcolor(black) mlcolor(black)) ///
marker(2, ms(O) mfcolor(gs10) mlcolor(gs10)) ///
marker(3, ms(O) mfcolor(sky) mlcolor(sky)) ///
marker(4, ms(0) mfcolor(vermillion) mlcolor(vermillion)) ///
marker(5, ms(0) mfcolor(orangebrown) mlcolor(orangebrown)) ///
marker(6, ms(0) mfcolor(ananas) mlcolor(ananas)) ///
linegap(0) linetype(line) lines(lwidth(0.1) lpattern(solid) lcolor(black))
graph export "${path}\Output\figures\Figure_9a.pdf",replace

use "${path}\Output\dta\LAC_clean_cohort_primary",clear
destring cohort, replace
drop if missing(im_up_cohort_primary) | missing(im_down_cohort_primary)
egen maxcohort=max(cohort), by(country)
egen aux=max(im_down_cohort_primary) if cohort==maxcohort, by (country)
egen aux2=max(aux), by(country)
gsort -aux2

set scheme s1color
graph dot im_down_cohort_primary, over(cohort) asyvars over(country, label(labsize(3)) sort(aux2)) legend(order(1 2 3 4 5 6 7) row(1) span size(small)) ytitle(IGM Down) ylabel(, grid) aspect(1) ///
marker(1, ms(O) mfcolor(black) mlcolor(black)) ///
marker(2, ms(O) mfcolor(gs10) mlcolor(gs10)) ///
marker(3, ms(O) mfcolor(sky) mlcolor(sky)) ///
marker(4, ms(0) mfcolor(vermillion) mlcolor(vermillion)) ///
marker(5, ms(0) mfcolor(orangebrown) mlcolor(orangebrown)) ///
marker(6, ms(0) mfcolor(ananas) mlcolor(ananas)) ///
linegap(0) linetype(line) lines(lwidth(0.1) lpattern(solid) lcolor(black)) 
graph export "${path}\Output\figures\Figure_9b.pdf",replace
