***********************************************************************************************
*** Table 2: Summary Statistics: Province-Level Estimates of Educational IGM *
***********************************************************************************************
use "${path}\Output\dta\LAC_clean_districts_geolev1",clear

replace upward=. if n_district_up<50
replace n_district_up=. if n_district_up<50
replace downward=. if n_district_down<50
replace n_district_down=. if n_district_down<50
bysort country: egen districts=count(geolev1)

preserve
gcollapse (mean) meanup=upward meandown=downward (median) medianup=upward mediandown=downward (sd) stdevup=upward stdevdown=downward ///
(min) minup=upward mindown=downward (max) maxup=upward maxdown=downward (min) minup_n=n_district_up mindown_n=n_district_down ///
(mean) meanup_n=n_district_up meandown_n=n_district_down
tempfile updown
save `updown'
restore

gcollapse (mean) districts meanup=upward meandown=downward (median) medianup=upward mediandown=downward (sd) stdevup=upward stdevdown=downward ///
(min) minup=upward mindown=downward (max) maxup=upward maxdown=downward (min) minup_n=n_district_up mindown_n=n_district_down ///
(mean) meanup_n=n_district_up meandown_n=n_district_down, by (country)
gsort -meanup

append using `updown'
egen aux=sum(districts)
replace districts=aux if districts==.
drop aux

decode country, gen (countrys)
replace countrys="total" if countrys==""
drop country
ren countrys country
g district=strofreal(districts, "%13.0gc")
drop districts
ren district districts

replace meanup=round(meanup, 0.001)
replace medianup=round(medianup, 0.001)
replace stdevup=round(stdevup, 0.001)
replace minup=round(minup, 0.001)
replace maxup=round(maxup, 0.001)
replace minup_n=round(minup_n, 1)
replace meanup_n=round(meanup_n, 1)

replace meandown=round(meandown, 0.001)
replace mediandown=round(mediandown, 0.001)
replace stdevdown=round(stdevdown, 0.001)
replace mindown=round(mindown, 0.001)
replace maxdown=round(maxdown, 0.001)
replace mindown_n=round(mindown_n, 1)
replace meandown_n=round(meandown_n, 1)

order country districts meanup medianup stdevup minup maxup minup_n meanup_n meandown mediandown stdevdown mindown maxdown mindown_n meandown_n
ren districts provinces

listtab country provinces meanup medianup stdevup minup maxup minup_n meanup_n meandown mediandown stdevdown mindown maxdown mindown_n meandown_n using "${path}\Output\tables\Table_2.tex", rstyle(tabular) replace